ScalaDoc (Gradle API 2.14.1)

org.gradle.api.tasks.scala

## Class ScalaDoc

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.api.tasks.scala.ScalaDoc

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      public class ScalaDoc
      extends SourceTask

  Generates HTML API documentation for Scala source files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.tasks.SourceTask

      `source`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalaDoc()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `generate()`
    `protected org.gradle.api.internal.project.IsolatedAntBuilder` | `getAntBuilder()`
    `FileCollection` | `getClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
    `File` | `getDestinationDir()` Returns the directory to generate the API documentation into.
    `FileCollection` | `getScalaClasspath()` Returns the classpath to use to load the ScalaDoc tool.
    `ScalaDocOptions` | `getScalaDocOptions()` Returns the ScalaDoc generation options.
    `String` | `getTitle()` Returns the documentation title.
    `void` | `setClasspath(FileCollection classpath)`
    `void` | `setDestinationDir(File destinationDir)`
    `void` | `setScalaClasspath(FileCollection scalaClasspath)`
    `void` | `setScalaDocOptions(ScalaDocOptions scalaDocOptions)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalaDoc

          public ScalaDoc()

  - ### Method Detail

    - #### getAntBuilder

          @Inject
          protected org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

    - #### getDestinationDir

          @OutputDirectory
          public File getDestinationDir()

      Returns the directory to generate the API documentation into.

    - #### setDestinationDir

          public void setDestinationDir(File destinationDir)

    - #### getClasspath

          @InputFiles
          public FileCollection getClasspath()

      Returns the classpath to use to locate classes referenced by the documented source.

      Returns:
        The classpath.

    - #### setClasspath

          public void setClasspath(FileCollection classpath)

    - #### getScalaClasspath

          @InputFiles
          public FileCollection getScalaClasspath()

      Returns the classpath to use to load the ScalaDoc tool.

    - #### setScalaClasspath

          public void setScalaClasspath(FileCollection scalaClasspath)

    - #### getScalaDocOptions

          public ScalaDocOptions getScalaDocOptions()

      Returns the ScalaDoc generation options.

    - #### setScalaDocOptions

          public void setScalaDocOptions(ScalaDocOptions scalaDocOptions)

    - #### getTitle

          @Input
          @Optional
          public String getTitle()

      Returns the documentation title.

    - #### setTitle

          public void setTitle(String title)

    - #### generate

          protected void generate()